Subject: Re: [CCAMP] WG last call on draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk-07 and call for shepherd

From: "Gabriele Maria Galimberti (ggalimbe)" <[email-masked]>
Date: Tue, 21 Nov 2017 09:30:28 +0000

As a draft co-author I believe it’s ready to be published.

Best Regards,
Gabriele

[ttp://www.cisco.com/swa/i/logo.gif]

Gabriele Galimberti
Principal Engineer
Cisco Photonics Srl

via S.Maria Molgora, 48 C
20871 - Vimercate (MB)
Italy
www.cisco.com/global/IT/<http://www.cisco.com/global/IT/>

[email-masked]<mailto:[email-masked]>
Phone :+39 039 2091462
Mobile :+39 335 7481947
Fax :+39 039 2092049

From: CCAMP <[email-masked]> on behalf of Daniele Ceccarelli <[email-masked]>
Date: Tuesday, 21 November 2017 at 09:22
To: "CCAMP ([email-masked])" <[email-masked]>
Subject: [CCAMP] WG last call on draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk-07 and call for shepherd

WG,

As announced during IETF100 it's now time to start moving forward two documents.

This starts a two weeks working group last call on draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk-07.

The last call ends on Tuesday  December 5th.

Please send your comments to the CCAMP mailing list. Also comments along the lines of “I’ve read the draft and believe it’s ready to be published are appreciated”.

All the IPR declarations from authors and contributors have been collected and can be found in the history of the document:

https://datatracker.ietf.org/doc/draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk/history/

Please note that no IPR was disclosed against this draft.

If anyone is willing to be the shepherd of the document, please volunteer.

Thanks

Daniele & Fatai

---

From: Gert Grammel <[email-masked]>
Date: Tue, 21 Nov 2017 10:34:33 +0000

I believe it’s ready to be published.

Gert (as co-author)

From: CCAMP <[email-masked]> on behalf of Daniele Ceccarelli <[email-masked]>
Date: Tuesday, November 21, 2017 at 09:22
To: CCAMP <[email-masked]>
Subject: [CCAMP] WG last call on draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk-07 and call for shepherd

WG,

https://datatracker.ietf.org/doc/draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk/history/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dietf-2Dccamp-2Ddwdm-2Dif-2Dmng-2Dctrl-2Dfwk_history_&d=DwMFAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=Sf-T94Aod4TTEURQzTXYYw-Q-H8PyeOsweqqcNyVIcU&m=SkMYUw94nNRWtOJSBmi9qrvCRpBtgUR9WCdM91aH9FI&s=yCib1MjaYQP-B6sEPcpvLm1DdlvWw6WxM7w9brj0oi8&e=>

Thanks

Daniele & Fatai

---

From: "Gabriele Maria Galimberti (ggalimbe)" <[email-masked]>
Date: Tue, 28 Nov 2017 14:51:23 +0000

Hi Daniele,

Thanks a lot for your comments !!

We did the modifications to the draft  (see in line the details [gmg] ).

See attached the new draft version and the diff.

We are available for further feedbacks and waiting for any next step indication.

Best regards,

The Authors

Gabriele Galimberti
Principal Engineer
Cisco Photonics Srl

From: CCAMP <[email-masked]> on behalf of Daniele Ceccarelli <[email-masked]>
Date: Tuesday, 21 November 2017 at 14:01
To: Daniele Ceccarelli <[email-masked]>, "CCAMP ([email-masked])" <[email-masked]>
Subject: Re: [CCAMP] WG last call on draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk-07 and call for shepherd

Authors, WG,

I did my LC review, please find below my comments.

Thanks
Daniele

- Abstract: suggested rephrasing

OLD

   To ensure an efficient data transport, meeting the requirements

   requested by today's IP-services the control and management of DWDM

   interfaces are a precondition for enhanced multilayer networking and

   for a further automation of network provisioning and operation

NEW

  The control and management of DWDM interfaces are a precondition for

  enhanced multilayer networking. They are needed to ensure an efficient

  data transport, to meet the requirements requested by today's IP-services

  and to provide a further automation of network provisioning and operations.

OLD

   This document covers management

   as well as control plane considerations in different management cases

   of single channel DWDM interfaces.  The purpose is to identify the

   necessary information elements and processes to be used by control or

   management systems for further processing.

NEW

   This document covers management and control considerations in different

   Scenarios  of single channel DWDM interfaces.  The purpose is to identify the

   necessary information and processes to be used by control or

   management systems "for further processing."

Not sure what you mean with "for further processing", can you rephrase it?

-Introduction. How about this wording?

OLD

The usage of the single channel DWDM interfaces (e.g. in routers)

   connected to a DWDM Network (which include ROADMs and optical

   amplifiers) adds a further networking option for operators allowing

   new scenarios but require harmonised control and management plane

   interaction between different network domains.

NEW

   The usage of external single channel DWDM interfaces (e.g. in routers)

   connected to a DWDM Network (e.g. router connected to a network of

   ROADMs and optical amplifiers) adds a further networking option for

   operators but requires an harmonised control and management plane

   interaction between the different network domains.

-Introduction: This sentence is not clear " Carriers deploy their networks today based on transport and packet network infrastructures as domains to ensure high availability and a

high level of redundancy."

What does it mean? That the separation of the domains is to prodive high availability?Can you explain it a bit better?

- Introduction: remove the comma between deployments and where.

- Introduction: These 2 sentences are redundant, how about merging in a single one removing duplications?

   This framework specifies different levels of control and management

   plane interaction to support the usage of single channel optical

   interfaces in carrier networks in an efficient manner.

   The objective of this document is to provide a framework for the

   control and management of transceiver interfaces based on the

   corresponding use cases and requirements to ensure an efficient and

   optimized data transport.

- Section 2: s/changes this scenario introducing/change this scenario, by introducing.

- Section 2 - FEC: what does it mean (much more that 10-12)? 10 ^-10 - 10 ^-12?

- Section 3.1.1.

OLD

   ITU-T G.698.2 for example specifies the parameter set for a certain set of applications.

NEW

   ITU-T G.698.2 for example specifies a set of parameters for a certain number of applications.

- Section 4: what does it mean "an umbrella of management systems?"

- Section 4 bullet 1a: "Direct connection from the client to the management system", here you mean the NMS of the transport domains, right? Please specify in the text.

- Section 4 bullet 2a: I would say "(e.g. LMP)", others might exist.

- Section 4.1.1.: I would drop this paragraph, since the first part mandates a usage of SNMP and Netconf/YANG but any of them could be used for the different purposes and the last part puts a strong requirement on the implementation that is outside the scope of the document.

   "Therefore an extension to this MIB for the optical interface has been

   drafted in [DWDM-interface-MIB].  SNMP is used to read parameters and

   get notifications and alarms, netconf and yang models are needed to

   easily provision the interface with the right parameter set as

   described in [YANG]

   Note that a software update of the optical interface components of

   the client nodes must not lead obligatory to an update of the

   software of the EMS and vice versa."

- Section 4.1.2.: s/can be used/should be used

- Section 4.2: "RFC4209 [LMP-WDM] and RFC 4204[LMP]" there is no need to define LMP-WDM and LMP as hooks for the reference, you can use the RFC numbers.

- General comment (1 occurrence found in section 4.2): is it appropriate to use the term "black link"? Are the links we are speaking about standard black links? Maybe it is a remaining of old versions?

- Section 4.2.1: "   a.  Using RSVP-TE only for the signalling and LMP as described above

       to exchange information to configure the optical interface within

       the edge node or" ...something is missing

- Section 4.2.1: " It would be helpful

   to define some common profiles that will be supported" ...aren't these the application codes?

- Section 6. This is an informational document and it's a bit tricky to use RFC2119 language. You can solve the issue like it was done in RFC7698, section 2.1 (thanks Adrian for helping finding a solution). In other words you should insert the following section at the end of section 1.1

"   While [RFC2119] describes interpretations of these key words in terms

   of protocol specifications and implementations, they are used in this

   document to describe design requirements for protocol extensions."

- Requirement 1: A better phrasing is needed, it's hard to read. What about: " In order to ensure a lean management and provisioning of single

      channel interfaces, the management and control plane of both the client and DWDM network MUST be aware of the right set of parameters. Such parameters define the interfaces and the optical network and are needed to properly setup the optical connection.

-          General comment: there is still a number of little grammar mistakes and typos. Please while reviewing pay attention also to them.

From: CCAMP [mailto:[email-masked]] On Behalf Of Daniele Ceccarelli
Sent: martedì 21 novembre 2017 09:22
To: CCAMP ([email-masked]) <[email-masked]>
Subject: [CCAMP] WG last call on draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk-07 and call for shepherd

WG,

Thanks

Daniele & Fatai